## clustalw 1.7

=== Makefile ===
install: clustalw
 
clean:
	 rm *.o
 
OBJECTS = interface.o sequence.o showpair.o malign.o \
	 util.o trees.o gcgcheck.o prfalign.o pairalign.o \
	 calcgapcoeff.o calcprf1.o calcprf2.o calctree.o \
	 readmat.o alnscore.o random.o
 
HEADERS = general.h clustalw.h
 
CC      =  xlC  -O3  -qstrict -qarch=pwr2  -DAIX
CFLAGS  = -c
LFLAGS  =
 
clustalw : $(OBJECTS)
	 $(CC) $(LFLAGS) -o $@ $(OBJECTS) -lm
 
clustalw.o : clustalw.c $(HEADERS) amenu.o clustalw.o
	 $(CC) $(CFLAGS) $*.c
 
readmat.o : readmat.c $(HEADERS) matrices.h
	 $(CC) $(CFLAGS) $*.c
 
amenu.o : amenu.c $(HEADERS) param.h

## clustalw 2.1

=== debian/changelog ===
clustalw (2.1-1) unstable; urgency=low

  * New upstream version
  * Added myself to uploaders
  * Standards-Version: 3.9.1 (no changes needed)
  * debian/rules: added get-upstream-changelog target and used
    it to obtain upstream changelog in debian/CHANGELOG.upstream
  * debian/source/format: 3.0 (quilt)

 -- Andreas Tille <tille@debian.org>  Wed, 24 Nov 2010 14:07:24 +0100

clustalw (2.0.12-1) unstable; urgency=low

  * New upstream release fixing many bugs
    (see /usr/share/doc/clustalw/CHANGELOG).
  * Updated debian/watch to latest upstream names (Closes: #550895).
  * debian/control:
    - Added ${misc:Depends} substitition variable.
    - Incremented Standards-Version to reflect conformance with
      Policy 3.8.3 (no changes needed).
    - Removed the citation information from the package long description.
  * Manpages debian/clustalw.1* refreshed.
  * Updated debian/copyright to the latest experimentation on the format.
  * Added various Upstream informations in debian/upstream-metadata.yaml.
  * Moved the upstream changelog and the test data to the debian directory.
    (debian/rules, debian/clustalw.examples).

 -- Charles Plessy <plessy@debian.org>  Wed, 14 Oct 2009 13:47:28 +0900

clustalw (2.0.10-1) unstable; urgency=low

  * New upstream release:
    - New -quiet and -stats=<file> command line flags.
    - command separator can now be mixed "/" and "-" on all platforms.
  * debian/clustalw.1*:
    - added new option and incremented version number.
    - using Docbook 4.5.
  * Added bibliographic information in BibTeX format in debian/reference.
  * Using Debhelper 7 (debian/control, debian/compat).
  * Enhances: bioperl-run (it has a wrapper for clustalw).
  * debian/overrides/clustalw renamed debian/clustalw.lintian-overrides,
    and is not anymore installed by dh_install (dh_lintian, called by
    CDBS, takes care of it).

 -- Charles Plessy <plessy@debian.org>  Sun, 07 Dec 2008 19:37:06 +0900

clustalw (2.0.9-1) unstable; urgency=low

  * New upstream release.
  * debian/patches/to_build_with_g++-4.3.patch was accepted upstream
    and therefore removed here.
  * debian/copyright: added a disclaimer clarifying that this package is not
    part of the Debian operating system (requirement of Policy 3.8.0).
  * debian/control:  
    - Updated Standards-Version to 3.8.0.
    - Enhances: emboss (EMBOSS has a wrapper for clustalw, `emma'.)
  * debian/clustaw.1*: incremented version number.

 -- Charles Plessy <plessy@debian.org>  Tue, 24 Jun 2008 13:28:22 +0900

clustalw (2.0.8-1) unstable; urgency=low

  * New upstream release.
    - Implemented maxseqlen cmdline switch.
    - Updated help-file.
    - Fixed various bugs and possible memory leaks
      (see /usr/share/doc/clustalw/CHANGELOG)
  * debian/clustalw.1*:
    - Added new option;
    - incremented version number.
  * debian/copyright lifted to the latest draft format version.
  * debian/patches/to_build_with_g++-4.3.patch.
    (Submitted and accepted upstream for 2.0.9).

 -- Charles Plessy <plessy@debian.org>  Wed, 04 Jun 2008 18:04:17 +0900

clustalw (2.0.7-1) unstable; urgency=low

  * New upstream release.
    - Fixes bug 121: CRLF  in sequence names (Pearson) are not trimmed.
    - Fixes bug 122: convert option broken.
    - Fixes reopened bug 114: profile alignment input didn't work with new
      getSeqRange routines.
    - Fixes bug 119: build with g++ 4.3.
  * Removed debian/patches/bug_119_gpp4.3-autoptr.patch, obsoleted by the
    above correction. 
  * Incremented version number in debian/clustalw.1*
  * Uptated debian/copyright to the latest draft of the format.

 -- Charles Plessy <plessy@debian.org>  Wed, 14 May 2008 09:07:26 +0900

clustalw (2.0.6-1) unstable; urgency=low

  [Charles Plessy]
  * New upstream release:
    - Bugs fixed (fasta input performance, segfault with secondary structure
      mask)
    - Allows mixed-case command line options.
    - Removed unncessary id console output in EMBLFileParser.cpp
  * Updated my email address (debian/control, debian/copyright,
    debian/clustaw.1*).
  * debian/patches/bug_119_gpp4.3-autoptr.patch: upstream patch to build
    clustalw with g++-4.3.

  [Morten Kjeldgaard]
  * debian/clustalw.1*: restored the introduction from Stéphane
    Bortzmeyer original manpage.
  * debian/copyright: updated information about the manpage.

 -- Charles Plessy <plessy@debian.org>  Fri, 02 May 2008 10:38:25 +0900

clustalw (2.0.5-1) unstable; urgency=low

  * New upstream release (fixes problems with gaps).
  * debian/copyright:
    Added a X-Non-Free-Autobuild field to fullfill requirements from
    http://lists.debian.org/msgid-search/20061129152824.GT2560@mails.so.argh.org
  * Updated CHANGELOG from http://www.clustal.org/download/current/CHANGELOG
  * debian/clustalw.1.xml, rewritten from scratch.
  * debian/clustalw.q: updated from the DocBook sources (Closes: #463591).

 -- Charles Plessy <charles-debian-nospam@plessy.org>  Thu, 20 Mar 2008 15:42:38 +0900

clustalw (2.0.4-1) unstable; urgency=low

  [ Steffen Moeller ]
  * New upstream release
    - Includes new code for UPGMA guide trees. (v. 2.0.0)
    - Includes iterative alignment facility. (v. 2.0.0)
    - fixed bug where Pseudo -FASTA format files were not being processed
      as previously in v1.83 (v. 2.0.3)
    - fixed other bugs to behave more like 1.83, and introduced a new
      '-fullhelp' option. (v 2.0.4) 
  * updated debian/watch
  * moved clustalw.1 into debian folder (easier to work
    with svn-buildpackage)
  * removed README and LICENSE from svn since these are
    now distributed with the upstream sources

  [ Charles Plessy ]
  * debian/copyright made machine-readable.
  * Clustal X is now built in a separate source package.
    (Closes: #469442, #469443)
  * Switched to CDBS.
  * Added lintian override for the presence of /usr/share/doc/clustalw/LICENSE.
  * debian/control:
    - Allowed upload by Debian maintainers.
    - Checked conformance with Policy 3.7.3 (no changes needed).



=== debian/control ===
Source: clustalw
Section: non-free/science
Priority: optional
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
DM-Upload-Allowed: yes
Uploaders: Steffen Moeller <moeller@debian.org>, Charles Plessy <plessy@debian.org>,
 Andreas Tille <tille@debian.org>
Build-Depends: debhelper (>= 7), cdbs, autotools-dev
Standards-Version: 3.9.1
Vcs-Browser: http://svn.debian.org/wsvn/debian-med/trunk/packages/clustalw/trunk/?rev=0&sc=0
Vcs-Svn: svn://svn.debian.org/svn/debian-med/trunk/packages/clustalw/trunk/
XS-Autobuild: yes
Homepage: http://www.clustal.org/

Package: clustalw
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: clustalx, seaview
Enhances: bioperl-run, emboss, t-coffee
Description: global multiple nucleotide or peptide sequence alignment
 This program performs an alignment of multiple nucleotide or amino acid
 sequences. It recognizes the format of input sequences and whether the
 sequences are nucleic acid (DNA/RNA) or amino acid (proteins). The output
 format may be selected from in various formats for multiple alignments such as
 Phylip or FASTA. Clustal W is very well accepted.
 .
 The output of Clustal W can be edited manually but preferably with an
 alignment editor like SeaView or within its companion Clustal X. When building
 a model from your alignment, this can be applied for improved database
 searches. The Debian package hmmer creates such in form of an HMM.

=== debian/watch ===
version=3
http://www.clustal.org/download/current/clustalw-([\.\d]*).tar.gz

## clustalw 2.1+lgpl

=== debian/changelog ===
clustalw (2.1+lgpl-7) unstable; urgency=medium

  [ Jelmer Vernooĳ ]
  * Use secure copyright file specification URI.
  * Trim trailing whitespace.

  [ Andreas Tille ]
  * Standards-Version: 4.5.0 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Trim trailing whitespace.
  * Set field Upstream-Contact in debian/copyright.
  * Remove obsolete field Contact from debian/upstream/metadata (already present
    in machine-readable debian/copyright).
  * watch file standard 4 (routine-update)

 -- Andreas Tille <tille@debian.org>  Mon, 16 Nov 2020 09:33:34 +0100

clustalw (2.1+lgpl-6) unstable; urgency=medium

  * debhelper 11
  * Point Vcs fields to salsa.debian.org
  * Standards-Version: 4.1.5
  * d/rules:
     - drop now unneeded hack to remove aclocal dir
     - drop explicit mentioning of autotools_dev

 -- Andreas Tille <tille@debian.org>  Sat, 14 Jul 2018 17:09:36 +0200

clustalw (2.1+lgpl-5) unstable; urgency=medium

  [ Canberk Koç ]
  * Team upload
  * autopkgtest added

  [ Andreas Tille ]
  * cme fix dpkg-control
  * fix spelling
  * hardening=+all

 -- Canberk Koç <canberkkoc@gmail.com>  Fri, 22 Jul 2016 04:04:40 +0300

clustalw (2.1+lgpl-4) unstable; urgency=medium

  * use dh_autotools-dev to update config.{sub,guess} (Thanks for the patch
    to Adam Conrad <adconrad@debian.org>)
    Closes: #729789
  * Standards-Version: 3.9.5 (no changes needed)

 -- Andreas Tille <tille@debian.org>  Fri, 13 Dec 2013 09:18:40 +0100

clustalw (2.1+lgpl-3) unstable; urgency=low

  * debian/upstream: very small fix to prevent bibcheck warning
  * debian/control:
     - cme fix dpkg-control
     - update direct link to homepage
     - debhelper 9
     - canonical Vcs URLs
     - remove cdbs from Build-Depends
  * debian/rules: use dh
  * debian/copyright: DEP5

 -- Andreas Tille <tille@debian.org>  Thu, 14 Nov 2013 09:07:02 +0100

clustalw (2.1+lgpl-2) unstable; urgency=low

  * Removed obsolete comment in debian/copyright.

 -- Charles Plessy <plessy@debian.org>  Mon, 07 Feb 2011 12:08:53 +0900

clustalw (2.1+lgpl-1) unstable; urgency=low

  * New upstream archive, that makes clear the relicensing to LGPL-3+.
    - Mangled debian version name in debian/watch.
    - Explained why ‘+lgpl’ in debian/README.Debian.
    - Removed XS-Autobuild field from debian/control.
    - Changed archive area in debian/control.
    - Updated license in debian/copyright and debian/clustalw.1*
    - Removed obsoleted lintian override (debian/clustalw.lintian-overrides).
    - Removed Commercial field in debian/upstream-metadata.yaml.
  * Removed un-needed documentation (debian/clustalw.docs).
  * Source package hosted in a Git repository (debian/control).
  * Use debhelper 8 (debian/control, debian/compat).

 -- Charles Plessy <plessy@debian.org>  Sat, 29 Jan 2011 19:59:40 +0900

clustalw (1.83-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * lesstif1 is deprecated, transition to lesstif2 (Closes: #374241)
  * Dead link in the package description (Closes: #359712)
  * Updated standards version, binary-indep rule required

 -- Kai Hendry <hendry@iki.fi>  Mon, 10 Jul 2006 11:04:05 +0900

=== debian/control ===
Source: clustalw
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Steffen Moeller <moeller@debian.org>,
           Charles Plessy <plessy@debian.org>,
           Andreas Tille <tille@debian.org>
Section: science
Priority: optional
Build-Depends: debhelper-compat (= 13)
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/med-team/clustalw
Vcs-Git: https://salsa.debian.org/med-team/clustalw.git
Homepage: http://www.clustal.org/clustal2/
Rules-Requires-Root: no

Package: clustalw
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Suggests: clustalx,
          seaview
Enhances: bioperl-run,
          emboss,
          t-coffee
Description: global multiple nucleotide or peptide sequence alignment
 This program performs an alignment of multiple nucleotide or amino acid
 sequences. It recognizes the format of input sequences and whether the
 sequences are nucleic acid (DNA/RNA) or amino acid (proteins). The output
 format may be selected from in various formats for multiple alignments such as
 Phylip or FASTA. Clustal W is very well accepted.
 .
 The output of Clustal W can be edited manually but preferably with an
 alignment editor like SeaView or within its companion Clustal X. When building
 a model from your alignment, this can be applied for improved database
 searches. The Debian package hmmer creates such in form of an HMM.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_installchangelogs:
	dh_installchangelogs debian/CHANGELOG.upstream

override_dh_install:
	dh_install
	# We have to ask upstream if it is important for them that the binary is named clustalw2
	mv $(CURDIR)/debian/clustalw/usr/bin/clustalw2 $(CURDIR)/debian/clustalw/usr/bin/clustalw

get-upstream-changelog:
	# Get upstream changelog
	cd debian; wget -N --output-document=CHANGELOG.upstream http://www.clustal.org/download/current/CHANGELOG

=== debian/watch ===
version=4
opts=dversionmangle=s/\+lgpl// \
 http://www.clustal.org/download/current/clustalw-([\.\d]*).tar.gz
